# detector

## Required Detect Types
```
--detect.required.detector.types=BITBAKE,CARGO,CARTHAGE,COCOAPODS,CONAN,CONDA,CPAN,CRAN,DART,GIT,GO_MOD,GO_DEP,GO_VNDR,GO_VENDOR,GO_GRADLE,GRADLE,HEX,IVY,LERNA,MAVEN,NPM,NUGET,PACKAGIST,PEAR,PIP,PNPM,POETRY,RUBYGEMS,SBT,SWIFT,YARN,CLANG,XCODE 
```

The set of required detectors\.

If you want one or more detectors to be required \(must be found to apply\), use this property to specify the set of required detectors\. If this property is set, and one \(or more\) of the given detectors is not found to apply, Detect will fail\.

|Details||
|---|---|
|Added|4\.3\.0|
|Type|DetectorType List|
|Default Value||
|Comma Separated|Yes|
|Case Sensitive|Yes|
|Acceptable Values|BITBAKE, CARGO, CARTHAGE, COCOAPODS, CONAN, CONDA, CPAN, CRAN, DART, GIT, GO\_MOD, GO\_DEP, GO\_VNDR, GO\_VENDOR, GO\_GRADLE, GRADLE, HEX, IVY, LERNA, MAVEN, NPM, NUGET, PACKAGIST, PEAR, PIP, PNPM, POETRY, RUBYGEMS, SBT, SWIFT, YARN, CLANG, XCODE|
|Strict|Yes|
|Example|`NPM`|


## Detector Accuracy Requirements (Advanced)
```
--detect.accuracy.required=ALL,NONE 
```

Required accuracy for a successful run of Detect\.

Various detectors produce dependency graphs with varying levels of accuracy, either due to circumstances at runtime, the limitations of the detector, or even limitations of the package manager\.  Use this property to specify what detector types Detect should enforce accuracy requirements on \(ie\. when set to NONE, Detect will not fail if only low\-accuracy detectors succeed in producing results\)\.  In 8\.0\.0, Detect will support supplying specific detector types\. To run in the equivalent of Detect 7's "buildless mode", set this property to NONE

|Details||
|---|---|
|Added|7\.13\.0|
|Type|DummyAccuracyEnum List|
|Default Value|ALL|
|Comma Separated|Yes|
|Case Sensitive|No|
|Acceptable Values|ALL, NONE|
|Strict|Yes|
    |Example|`ALL,NONE`|

## Detector Types Excluded (Advanced)
```
--detect.excluded.detector.types=ALL,NONE,BITBAKE,CARGO,CARTHAGE,COCOAPODS,CONAN,CONDA,CPAN,CRAN,DART,GIT,GO_MOD,GO_DEP,GO_VNDR,GO_VENDOR,GO_GRADLE,GRADLE,HEX,IVY,LERNA,MAVEN,NPM,NUGET,PACKAGIST,PEAR,PIP,PNPM,POETRY,RUBYGEMS,SBT,SWIFT,YARN,CLANG,XCODE 
```

By default, all detectors will be included\. If you want to exclude specific detectors, specify the ones to exclude here\. If you want to exclude all detectors, specify "ALL"\. Exclusion rules always win\.

If Detect runs one or more detector on your project that you would like to exclude, you can use this property to prevent Detect from running them\.

|Details||
|---|---|
|Added|3\.0\.0|
|Type|DetectorType List|
|Default Value||
|Comma Separated|Yes|
|Case Sensitive|No|
|Acceptable Values|ALL, NONE, BITBAKE, CARGO, CARTHAGE, COCOAPODS, CONAN, CONDA, CPAN, CRAN, DART, GIT, GO\_MOD, GO\_DEP, GO\_VNDR, GO\_VENDOR, GO\_GRADLE, GRADLE, HEX, IVY, LERNA, MAVEN, NPM, NUGET, PACKAGIST, PEAR, PIP, PNPM, POETRY, RUBYGEMS, SBT, SWIFT, YARN, CLANG, XCODE|
|Strict|Yes|
    |Example|`NPM,LERNA`|

## Detector Types Included (Advanced)
```
--detect.included.detector.types=ALL,NONE,BITBAKE,CARGO,CARTHAGE,COCOAPODS,CONAN,CONDA,CPAN,CRAN,DART,GIT,GO_MOD,GO_DEP,GO_VNDR,GO_VENDOR,GO_GRADLE,GRADLE,HEX,IVY,LERNA,MAVEN,NPM,NUGET,PACKAGIST,PEAR,PIP,PNPM,POETRY,RUBYGEMS,SBT,SWIFT,YARN,CLANG,XCODE 
```

By default, all tools will be included\. If you want to include only specific tools, specify the ones to include here\. Exclusion rules always win\.

If you want to limit Detect to a subset of its detectors, use this property to specify that subset\.

|Details||
|---|---|
|Added|3\.0\.0|
|Type|DetectorType List|
|Default Value||
|Comma Separated|Yes|
|Case Sensitive|No|
|Acceptable Values|ALL, NONE, BITBAKE, CARGO, CARTHAGE, COCOAPODS, CONAN, CONDA, CPAN, CRAN, DART, GIT, GO\_MOD, GO\_DEP, GO\_VNDR, GO\_VENDOR, GO\_GRADLE, GRADLE, HEX, IVY, LERNA, MAVEN, NPM, NUGET, PACKAGIST, PEAR, PIP, PNPM, POETRY, RUBYGEMS, SBT, SWIFT, YARN, CLANG, XCODE|
|Strict|Yes|
    |Example|`NPM`|



