# go

## Go Executable
```
--detect.go.path
```

Path to the Go executable\.



|Details||
|---|---|
|Added|3\.0\.0|
|Type|Optional Path|
|Default Value||
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|

## Go Mod Dependency Types Excluded
```
--detect.go.mod.dependency.types.excluded=NONE,UNUSED,VENDORED 
```

Set this value to indicate which Go Mod dependency types Detect should exclude from the BOM\. Currently if this property is not set, the default value is driven by the default values of these properties: detect\.go\.mod\.enable\.verification\. In version 8\.0\.0, all Go Mod dependency types will be reported by default\.

If UNUSED is provided, Detect will use the results of 'go mod why' to filter out unused dependencies from Go modules declaring Go 1\.16 or higher\. If VENDORED is provided, Detect will use the results of 'go mod why \-vendor' to filter out all unused dependencies\.

|Details||
|---|---|
|Added|7\.10\.0|
|Type|GoModDependencyType|
|Default Value|NONE|
|Comma Separated|No|
|Case Sensitive|Yes|
|Acceptable Values|NONE, UNUSED, VENDORED|
|Strict|Yes|
|Example|`VENDORED`|




## Go Mod Dependency Verification (Deprecated) 
```
--detect.go.mod.enable.verification=true
```

When enabled, Detect will use the results of 'go mod why' to filter out unused dependencies\. Set to false if you have an empty BOM\.



**DEPRECATED: This property is being removed in favor of detect\.go\.mod\.dependency\.types\.excluded\. If the replacement property is set, this property is ignored\. The default value of this property is used if both properties are not set\. This property will be removed in 8\.0\.0.**

|Details||
|---|---|
|Added|7\.1\.0|
|Type|Boolean|
|Default Value|true|
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|
    
